Description

I've created the following Wiki page with instruction about how to install and configure Sidekiq:

SidekiqConfiguration

Please let me know what do you think and where we should link the page.

History

#1 - 2020-06-13 18:25 - Marius BĂLTEANU

- Description updated

#2 - 2020-06-13 19:06 - pasquale [:dedalus]

Hi Marius, I read the wiki and it is really well documented. Thanks!

#3 - 2020-06-15 06:28 - Bernhard Rohloff

Very cool! Thank you for sharing this. I'll can't wait to give it a try. :-)

#4 - 2020-06-15 07:39 - Mischa The Evil

I think this is a good howto for setting up these components. I suggest to categorize and link it as such.

Maybe beyond the intended scope of this issue, but I think we also need some short mentions under RedmineInstall#Optional-components and 

RedmineInstall#Optional-dependencies, and a short description under RedmineInstall#Configuration with a link to a separate wiki page which should

contain a (more) generic, more detailed description of (the handling of) background jobs in Redmine specific (e.g. what is handled by background jobs

[also thinking about proposed #31076 here]) and Rails in general (how does Redmine relate to Rails in this area [via ActiveMailer, ActiveJob,

Queues/QueueAdapters, 3rd-party queuing backends]). This should not be tied specifically to persistent, 3rd-party queuing backends, also the default

in-process queuing implementation needs some coverage (see e.g. #31939, #31957).

Additionally, some info for plugin developers would be nice too.

#5 - 2020-10-08 04:27 - Connie Nielsen

SPAM Message (Bernhard Rohloff)

#6 - 2020-11-18 09:16 - David Doležal

Is it possible to solve it under Windows-server? My configuration of Redmine:

Environment:

Redmine version 4.1.1.stable

Ruby version 2.6.6-p146 (2020-03-31) [x64-mingw32]

Rails version 5.2.4.2

Environment production

Database adapter Mysql2

Mailer queue ActiveJob::QueueAdapters::AsyncAdapter

Mailer delivery smtp

#7 - 2020-11-25 14:43 - David Doležal

David Doležal wrote:

Is it possible to solve it under Windows-server? My configuration of Redmine:

Environment:

Redmine version 4.1.1.stable
Ruby version 2.6.6-p146 (2020-03-31) [x64-mingw32]

Rails version 5.2.4.2

Environment production

Database adapter Mysql2

Mailer queue ActiveJob::QueueAdapters::AsyncAdapter

Mailer delivery smtp

 My problem was diffrent. It was in connector on SMTP server, where was set low limit emails per minute from IP address. So simple! It works with

Async and SuckerPunch. So I think it will work with Sidekiq too.

#8 - 2024-01-29 18:18 - Marius BĂLTEANU

- Status changed from New to Closed

- Target version deleted (Candidate for next major release)

- Resolution set to Fixed

Mischa The Evil wrote in #note-4:

I think this is a good howto for setting up these components. I suggest to categorize and link it as such.

Maybe beyond the intended scope of this issue, but I think we also need some short mentions under RedmineInstall#Optional-components and 

RedmineInstall#Optional-dependencies, and a short description under RedmineInstall#Configuration with a link to a separate wiki page which

should contain a (more) generic, more detailed description of (the handling of) background jobs in Redmine specific (e.g. what is handled by

background jobs [also thinking about proposed #31076 here]) and Rails in general (how does Redmine relate to Rails in this area [via

ActiveMailer, ActiveJob, Queues/QueueAdapters, 3rd-party queuing backends]). This should not be tied specifically to persistent, 3rd-party

queuing backends, also the default in-process queuing implementation needs some coverage (see e.g. #31939, #31957).

Additionally, some info for plugin developers would be nice too.

 For now I made only the short mentions and I've linked the page to RedmineInstall. For the rest of the requirements, we should open a new issue.

#9 - 2024-08-29 11:42 - Renaud GOSSE

Hello

Thank you for your tutorial, it was not working on my side, the mails were not sent:

I ran into this issue #69656 and this solved the problem, now the command to run sidekiq is :

bundle exec sidekiq -q default -q mailers

 Also I used Valkey instead of Redis and it worked directly without configuration

Cheers !
